Results 1 to 6 of 6

Thread: Pyrit gives errors Traceback, File "/usr/local/bin/pyrit", line 6, in <module>

  1. #1
    Join Date
    2013-Nov
    Posts
    68

    Pyrit gives errors Traceback, File "/usr/local/bin/pyrit", line 6, in <module>

    Hi all,
    please advise, when I ran "crunch 10 10 8601234579 | pyrit -r test-01.cap -b BSSID -i- attack_passthrough"
    I got the following errors:

    Traceback (most recent call last):
    File "/usr/local/bin/pyrit", line 6, in <module>
    pyrit_cli.Pyrit_CLI().initFromArgv()
    File "/usr/local/lib/python2.7/dist-packages/pyrit_cli.py", line 117, in initFromArgv
    func(self, **options)
    File "/usr/local/lib/python2.7/dist-packages/pyrit_cli.py", line 159, in new_f
    import cpyrit.pckttools
    File "/usr/local/lib/python2.7/dist-packages/cpyrit/pckttools.py", line 838, in <module>
    class CCMPCrackerThread(CrackerThread, _cpyrit_cpu.CCMPCracker):
    AttributeError: 'module' object has no attribute 'CCMPCracker'

    Thank you for your assistant.
    Where is the darn "any key" key?

  2. #2
    Join Date
    2013-Mar
    Posts
    57
    Hi,

    how did you installed pyrit? did you use the preinstalled in kali linux? opencl or CUDA?

    if yes for preinstalled version try uninstall pyrit:
    Code:
    apt-get remove --purge pyrit
    
    apt-get install libpcap-dev
    get pyrit from svn and build it:
    Code:
    svn checkout http://pyrit.googlecode.com/svn/trunk/ pyrit_svn
    
    cd pyrit_svn/pyrit/
    
    python setup.py build
    if you didn't have any errors during build install it with:
    Code:
    python setup.py install
    for CUDA:
    Code:
    cd cpyrit-cuda-VERSIONNUMBER
    
    python setup.py build
    
    python setup.py install
    Test pyrit:
    Code:
    pyrit list_cores
    pyrit benchmark
    that was my way to get it working with CUDA

    or here a link --> http://code.google.com/p/pyrit/issues/detail?id=324
    Last edited by tr00n3r; 2014-03-14 at 11:57.

  3. #3
    Join Date
    2013-Nov
    Posts
    68
    That was exactly what I did, tr00n3r. I got the list_cores and benchmark but when I used it with crunch that is when it give me errors.

    my output:
    root@WhoDat:~# pyrit list_cores
    Pyrit 0.4.0 (C) 2008-2011 Lukas Lueg http://pyrit.googlecode.com
    This code is distributed under the GNU General Public License v3+

    The following cores seem available...
    #1: 'CUDA-Device #1 'Quadro NVS 160M''
    #2: 'CPU-Core (SSE2)'

    I have a dual core CPU, what happened to the other core?
    Last edited by thepoor; 2014-03-14 at 18:45.
    Where is the darn "any key" key?

  4. #4
    Join Date
    2014-Aug
    Posts
    4

    I get the same Traceback errors

    Code:
    Parsing file 'xxxxxxxxxx.cap' (1/1)...
    Traceback (most recent call last):
      File "/usr/local/bin/pyrit", line 6, in <module>
        pyrit_cli.Pyrit_CLI().initFromArgv()
      File "/usr/local/lib/python2.7/dist-packages/pyrit_cli.py", line 117, in initFromArgv
        func(self, **options)
      File "/usr/local/lib/python2.7/dist-packages/pyrit_cli.py", line 165, in new_f
        f(*args, **kwds)
      File "/usr/local/lib/python2.7/dist-packages/pyrit_cli.py", line 917, in attack_passthrough
        ap = self._fuzzyGetAP(self._getParser(capturefile), bssid, essid)
      File "/usr/local/lib/python2.7/dist-packages/pyrit_cli.py", line 181, in _getParser
        parser.parse_pcapdevice(dev)
      File "/usr/local/lib/python2.7/dist-packages/cpyrit/pckttools.py", line 696, in parse_pcapdevice
        for pckt in reader:
      File "/usr/local/lib/python2.7/dist-packages/cpyrit/pckttools.py", line 589, in next
        pckt = self.read()
      File "/usr/local/lib/python2.7/dist-packages/cpyrit/pckttools.py", line 577, in read
        r = _cpyrit_cpu.PcapDevice.read(self)
    IOError: libpcap-error while reading: truncated dump file; tried to read 283 captured bytes, only got 202
    Is this version mismatch of cpyrit to blame (_cpyrit_cpu.so @ 0.4.1-dev, and _cpyrit_cuda.so @ 0.4.0)?
    If so, which version do I need to change? Thanks.

    Code:
    kurt@kali:~$ pyrit list_cores
    /usr/local/lib/python2.7/dist-packages/cpyrit/cpyrit.py:63: UserWarning: WARNING: Version mismatch between <module 'cpyrit._cpyrit_cpu' from '/usr/local/lib/python2.7/dist-packages/cpyrit/_cpyrit_cpu.so'> ('0.4.1-dev (svn r308)') and <module 'cpyrit._cpyrit_cuda' from '/usr/local/lib/python2.7/dist-packages/cpyrit/_cpyrit_cuda.so'> ('0.4.0')
    
      "('%s')\n" % (_cpyrit_cpu, _cpyrit_cpu.VERSION, mod, ver))
    Pyrit 0.4.1-dev (svn r308) (C) 2008-2011 Lukas Lueg http://pyrit.googlecode.com
    This code is distributed under the GNU General Public License v3+
    
    The following cores seem available...
    #1:  'CUDA-Device #1 'GeForce GTX 660''
    #2:  'CPU-Core (SSE2/AES)'
    #3:  'CPU-Core (SSE2/AES)'
    #4:  'CPU-Core (SSE2/AES)'
    #5:  'CPU-Core (SSE2/AES)'
    #6:  'CPU-Core (SSE2/AES)'
    #7:  'CPU-Core (SSE2/AES)'
    #8:  'CPU-Core (SSE2/AES)'
    #9:  'CPU-Core (SSE2/AES)'
    #10:  'CPU-Core (SSE2/AES)'
    #11:  'CPU-Core (SSE2/AES)'
    #12:  'CPU-Core (SSE2/AES)'
    i7 3930k @ 3.2GHz
    2GB VRAM on the GTX660 (not Ti)
    ASRock X79 Extreme 4M

  5. #5
    Join Date
    2013-Jun
    Location
    I'm everywhere you want to be - but I prefer to drink all the booze and hack all the things. (>_>)
    Posts
    6
    Hi thepoor,

    Pyrit replaces one of the existing CPUs when it brings in a GPU. So if you had a four core processor, you'd see one GPU and three cores...

    Also, I get those "IOError: libpcap-error while reading: truncated dump file" errors sometimes when I capture from one tool and use pyrit to work on the cap file. Therefore, as a short workaround, I set the wireless interface to "monitor" (i.e. mon0) - then whilst it is capturing packets - I set pyrit to strip the cap file so it's a bit sanitized.

    For example: ~#>pyrit -r mon0 -o SanitizedCapFile.cap stripLive

    Hope this helps!

    Cheers,
    TheGoodGuy

  6. #6
    Join Date
    2015-May
    Posts
    12
    Today I dist-upgraded kali and got some errors too... It seen the the new nvidia-cuda-tookit 7.5 broke every thing...
    Everything worked fine before that....

Similar Threads

  1. Pyrit errors after Dist-Upgrade Fix
    By G3Cube in forum How-To Archive
    Replies: 2
    Last Post: 2017-01-28, 02:33
  2. How to Speed up Pyrit "lines per second" (lines/s)?
    By colegagliano in forum General Archive
    Replies: 1
    Last Post: 2014-04-15, 07:01
  3. Failed to load module "canberra-gtk-module"
    By kal in forum TroubleShooting Archive
    Replies: 1
    Last Post: 2013-12-08, 13:28
  4. Replies: 4
    Last Post: 2013-05-27, 08:51
  5. Metasploit module "Java 7u17 Applet Reflection Type Confusion" not found
    By NightCrawler in forum TroubleShooting Archive
    Replies: 2
    Last Post: 2013-05-03, 15:35

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •